#!/bin/bash
#==============================================================================
# An install script of neovim-qt in Ubuntu/Debian
#==============================================================================
echo "Installing required packages ..."
sudo apt-get install -yq build-essential curl
sudo apt-get install -yq \
    libncurses5-dev \
    libbonoboui2-dev \
    libcario2-dev libxpm-dev \
    libx11-dev libxt-dev \
    libgnome2-dev libgnomeui-dev \
    libgtk2.0-dev libatk1.0-dev
sudo apt-get install -yq \
    lua5.2 liblua5.2-dev \
    luajit libluajit-5.1
sudo apt-get install -yq \
    libssl-dev zlib1g-dev libbz2-dev \
    libreadline-dev libsqlite3-dev llvm

echo "Downloading neovim-qt repository ..."
if [[ ! -d nvim-qt ]]; then
    git clone https://github.com/equalsraf/neovim-qt
    cd neovim-qt
else
    cd neovim-qt
    git reset --hard
    git clean -fd
    git pull
fi

echo "Configure Neovim installation ..."
if [[ ! -d build ]]; then
    mkdir build
fi
cd build
cmake .. && make -j 12
